
Foreman - Feature #22158

Add a rake task for audits cleanup

01/04/2018 08:32 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Audit Log   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5343

  

Description

Related issues:

Related to Foreman - Tracker #21879: [TRACKER] Audit every possible resource New 12/06/2017

Related to Foreman - Feature #27024: Audits cleanup Closed

Related to Foreman - Bug #20309: Large Audit Table very slow upgrade Resolved

Associated revisions

Revision 4a3383c9 - 03/22/2018 07:51 AM - Tomer Brisker

Fixes #22158 - Add rake task to delete old audits (#5343)

Set the default period to 90 days or older.

History

#1 - 01/04/2018 08:33 PM - Marek Hulán

- Related to Tracker #21879: [TRACKER] Audit every possible resource added

#2 - 03/21/2018 03:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5343 added

#3 - 03/22/2018 07:52 AM - Marek Hulán

- translation missing: en.field_release set to 330

#4 - 03/22/2018 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4a3383c984059f9e5cee71ee517a009025681644.

#5 - 07/24/2019 03:07 PM - Lukas Zapletal

- Related to Feature #27024: Audits cleanup added

#6 - 11/24/2019 10:16 AM - Tomer Brisker

- Related to Bug #20309: Large Audit Table very slow upgrade added
